Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tapestry5.internal.structure
Class ComponentPageElementResourcesSourceImpl

    java.lang.Object
      org.apache.tapestry5.internal.structure.ComponentPageElementResourcesSourceImpl

All Implemented Interfaces:
  ComponentPageElementResourcesSource

    public class ComponentPageElementResourcesSourceImpl

extends java.lang.Object
implements ComponentPageElementResourcesSource

Constructor Summary
`ComponentPageElementResourcesSourceImpl(ComponentMessagesSource componentMessagesSource, TypeCoercer typeCoercer, ComponentClassCache componentClassCache, ContextValueEncoder contextValueEncoder, LinkSource linkSource, RequestPageCache requestPageCache, ComponentClassResolver componentClassResolver, LoggerSource loggerSource, OperationTracker tracker, PerthreadManager perThreadManager)`

Method Summary
`ComponentPageElementResources` | `get(ComponentResourceSelector selector)` Gets (or creates) an instance of `ComponentPageElementResources` for the indicated selector.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ComponentPageElementResourcesSourceImpl

    public ComponentPageElementResourcesSourceImpl(ComponentMessagesSource componentMessagesSource,
                                                   TypeCoercer typeCoercer,
                                                   ComponentClassCache componentClassCache,
                                                   ContextValueEncoder contextValueEncoder,
                                                   LinkSource linkSource,
                                                   RequestPageCache requestPageCache,
                                                   ComponentClassResolver componentClassResolver,
                                                   LoggerSource loggerSource,
                                                   OperationTracker tracker,
                                                   PerthreadManager perThreadManager)

Method Detail

### get

    public ComponentPageElementResources get(ComponentResourceSelector selector)

  Description copied from interface: `ComponentPageElementResourcesSource`
  Gets (or creates) an instance of `ComponentPageElementResources` for the indicated selector.

  Specified by:
    `get` in interface `ComponentPageElementResourcesSource`
  Parameters:
    `selector` - to create the resources for
  Returns:
    the resources

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2012 The Apache Software Foundation.